#ifndef _SFFT_H
#define _SFFT_H

#include "cmplx.h"

struct sfft {
	int fftlen;
	int first;
	int last;
	int ptr;
	complex *twiddles;
	complex *bins;
	complex *history;
	double corr;
};

extern struct sfft *init_sfft(int, int, int);
extern void clear_sfft(struct sfft *);

extern complex *sfft(struct sfft *, complex);

#endif
